Package io.dapr.v1

# Interface DaprAppCallbackProtos.TopicSubscriptionOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicSubscription`, `DaprAppCallbackProtos.TopicSubscription.Builder`

Enclosing class:
  DaprAppCallbackProtos

    public static interface DaprAppCallbackProtos.TopicSubscriptionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `containsMetadata​(java.lang.String key)` | The optional properties used for this topic's subscribtion e.g.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadata()` | Deprecated.
  `int` | `getMetadataCount()` | The optional properties used for this topic's subscribtion e.g.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadataMap()` | The optional properties used for this topic's subscribtion e.g.
  `java.lang.String` | `getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)` | The optional properties used for this topic's subscribtion e.g.
  `java.lang.String` | `getMetadataOrThrow​(java.lang.String key)` | The optional properties used for this topic's subscribtion e.g.
  `java.lang.String` | `getPubsubName()` | Required.
  `com.google.protobuf.ByteString` | `getPubsubNameBytes()` | Required.
  `java.lang.String` | `getTopic()` | Required.
  `com.google.protobuf.ByteString` | `getTopicBytes()` | Required.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getPubsubName

    java.lang.String getPubsubName()

         Required. The name of the pubsub containing the topic below to subscribe to.

    `string pubsub_name = 1;`
    Returns:
      The pubsubName.

  - ### getPubsubNameBytes

    com.google.protobuf.ByteString getPubsubNameBytes()

         Required. The name of the pubsub containing the topic below to subscribe to.

    `string pubsub_name = 1;`
    Returns:
      The bytes for pubsubName.

  - ### getTopic

    java.lang.String getTopic()

         Required. The name of topic which will be subscribed

    `string topic = 2;`
    Returns:
      The topic.

  - ### getTopicBytes

    com.google.protobuf.ByteString getTopicBytes()

         Required. The name of topic which will be subscribed

    `string topic = 2;`
    Returns:
      The bytes for topic.

  - ### getMetadataCount

    int getMetadataCount()

         The optional properties used for this topic's subscribtion e.g. session id

    `map<string, string> metadata = 3;`

  - ### containsMetadata

    boolean containsMetadata​(java.lang.String key)

         The optional properties used for this topic's subscribtion e.g. session id

    `map<string, string> metadata = 3;`

  - ### getMetadata

    @Deprecated java.util.Map<java.lang.String,​java.lang.String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.

  - ### getMetadataMap

    java.util.Map<java.lang.String,​java.lang.String> getMetadataMap()

         The optional properties used for this topic's subscribtion e.g. session id

    `map<string, string> metadata = 3;`

  - ### getMetadataOrDefault

    java.lang.String getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)

         The optional properties used for this topic's subscribtion e.g. session id

    `map<string, string> metadata = 3;`

  - ### getMetadataOrThrow

    java.lang.String getMetadataOrThrow​(java.lang.String key)

         The optional properties used for this topic's subscribtion e.g. session id

    `map<string, string> metadata = 3;`